## maas 1.5+bzr2252

=== debian/changelog ===
maas (1.5+bzr2252-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Add support to install Third Party Drivers. In order for this to be
      used the user will have to go to the Settings page to enable the
      installation of these drivers. (LP: #1305839)
    - Use release images instead of daily. (LP: #1306701)
    - Quote interface name in dhcpd.template, otherwise DHCP server fails
      to start. (LP: #1306335)
    - Fix IntegrityError, when multiple processes are trying to register
      the same component. (LP: #1307415)
    - Add missing armhf commissioning template (LP: #1307780)
  * debian/maas-region-controller-min.install: Install drivers.yaml.
  * debian/maas-region-controller.postinst: No longer show the
    installation note by default. (LP: #1284652)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 09 Apr 2014 19:02:00 -0400

maas (1.5+bzr2236-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release.
    - Fix simplestreams path to use the new data source path. (LP: #1305118)
    - Fix commissioning_distro_series validation failure. (LP: #1304408)
    - Fix DB migration 0072_remove_ipmi_autodetec. (LP: #1302156)
    - Update documentation.
  * debian/maas-region-controller-min.maas-region-celery.upstart,
    debian/maas-region-controller-min.maas-txlongpoll.upstart: Fix ISO
    install by making sure rabbitmq user is really created if it does not
    exist (LP: #1298559)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 09 Apr 2014 18:36:55 -0400

maas (1.5+bzr2230-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release:
    - Fix Cluster Controller to handle deprecated config items gracefull.
      Otherwise it fails on upgrades. (LP: #1302772)
    - Fix documentation generation and referencing. (LP: #1302956)
    - Ensure we PXE boot when we turn on SM15K systems. (LP: #1303915)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 07 Apr 2014 10:26:51 -0400

maas (1.5+bzr2227-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release:
    - Fix catching exceptions raised by
      twisted.conch.ssh.keys.Key.fromString (LP: #1298788)
    - Fix validationg in default NodeGroupInterface.broadcast_ip making it
      optional. (LP: #1299374)
    - Drop install-pxe-bootloader as it conflicts with newer import script.
    - Remove references to old import script.
    - Fix changes that cause overwriting of existing entries.
    - Fix inappropriate ValidationError when defining networks with nested
      (but non-identical) address ranges. (LP: #1299114)
    - Fix issue where if a node does not provide an architecture type on dhcp
      request, or no other boot method is available for that architecture,
      the node still uses pxelinux.0 to boot. (LP: #1300285)
    - Take an advisory lock to prevent concurrent creation of the
      eventloops table. (LP: #1300363)
    - Remove the cloud_images_archive setting, as it conflicts with new
      import script. (LP: #1300587)
    - Add a 'logout confirmation' page. Using this, the logout action is
      protected against CSRF attacks because it uses a POST request, in
      conjunction with Django's CSRF protection feature. (LP: #1298790)
    - Fix cluster listings when dealing with large number of clusters by
      paginating it. (LP: #1301242)
    - Change list_boot_images() so that it can cope with a missing boot
      images directory: this happens if the reporting task runs before the
      images have been imported. (LP: #213984)
    - Fix internal server error on fast path installer. (LP: #1293676)
    - Fix uploading files using maas-cli. (LP: #1187826)
    - Fix SM15k Invalid Power Control and Fix enlisting machines with
      2.0 api. (LP: #1302818, LP: #1302819)

  [ Andres Rodriguez ]
  * debian/maas-cluster-controller.install: Install UEFI templates
  * debian/maas-cluster-controller.dirs: Create 'boot-resources' dir.

  [ Jason Hobbs ]
  * debian/extras/99-maas: Allow access to keyserver.ubuntu.com via
    squid-deb-proxy.
 
  [Jeroen Vermeulen]
  * debian/maas-cluster-controller.postinst:
    - Make the tgt config link point to the new boot-resources dir.
  * debian/maas-region-controller-min.dirs:
    - Don't create /var/lib/maas/tftp.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 03 Apr 2014 13:45:02 -0400

maas (1.5+bzr2204-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1281881)

  [ Andres Rodriguez ]
  * debian/maas-region-controller-min.templates: Set installation note to false
    by default.
  * Check rabbitmqctl is present before running commands:
    - debian/maas-region-controller-min.maas-region-celery.upstart.
    - debian/maas-region-controller-min.maas-txlongpoll.upstart.
  * make sure maas_longpoll rabbitmq user is created/with correct password on
    a package reconfigure.
  * debian/maas-dns.postinst: Fix upgrade setup of named.conf.options.
  * debian/maas-cluster-controller.install: Install UEFI templates (LP: #1299143)

  [ Julian Edwards ]
  * debian/extas/maas: Echo warning to stderr so json stdout is not polluted
  * debian/maas-cluster-controller.postinst: Run upgrade-cluster on each
    upgrade
  * debian/maas-dns.postinst: Call edit_named_options to add a line in
    /etc/bind/named.conf.options that includes the
    /etc/named/maas/named.conf.options.inside.maas file.
  * debian/control:
    - maas-dns depends on python-iscpy
    - maas-cluster-controller depends on python-seamicroclient
  * debian/maas-cluster-controller.install: Install bootresources.yaml

  [ Dustin Kirkland ]
  * debian/control: LP: #1297097
    - clean up package descriptions, modernize, and more clearly/simply
      explain what each package does
    - drop "Ubuntu" in front of MAAS, clean up command line/API description

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 28 Mar 2014 10:43:53 -0400

maas (1.5+bzr1977-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release.
    - setup.py: Install missing shell snippet


