## maas 1.5.4%2Bbzr2294

=== debian/changelog ===
maas (1.5.4+bzr2294-0ubuntu1.2) trusty-security; urgency=medium

  * Fix compatibility with mod-wsgi security update (LP: #1399016)
    - debian/patches/home-directory.patch: specify a valid home directory
      for the maas user, since mod-wsgi no longer works without one.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Dec 2014 13:59:56 -0500

maas (1.5.4+bzr2294-0ubuntu1.1) trusty-proposed; urgency=medium

  * Add hardware enablement for armhf/keystone (LP: #1350103)

 -- Greg Lutostanski <gregory.lutostanski@canonical.com>  Thu, 18 Sep 2014 16:43:56 -0500

maas (1.5.4+bzr2294-0ubuntu1) trusty-proposed; urgency=medium

  * New upstream bug fix release:
    - Change supported releases for install to Precise, Saucy, Trusty, Utopic
      (Add Utopic; Remove Quantal/Raring) -- will still only be able to install
      releases with streams available to maas (LP: #1337437)
    - Package fails to install when the default route is through an
      aliased/tagged interface (LP: #1350235)
    - ERROR Nonce already used (LP: #1190986)
    - Add MAAS arm64/xgene support (LP: #1338851)
    - API documentation for nodegroup op=details missing parameter
      (LP: #1331982)
    - Reduce number of celery tasks emitted when updating a cluster controller
      (LP: #1324944)
    - Fix VirshSSH template which was referencing invalid attributes
      (LP: #1324966)
    - Fix a start up problems where a database lock was being taken outside of
      a transaction (LP: #1325640, LP: #1325759)
    - Reformat badly formatted Architecture error message (LP: #1301465)
    - Final changes to support ppc64el (now known as PowerNV) (LP: #1315154)
    - UI tweak to make navigation elements visible for documentation

  [ Greg Lutostanski ]
   * debian/control:
    - maas-provisioningserver not maas-cluster-controller depends on
      python-pexpect (LP: #1352273)

  [ Gavin Panella ]
   * debian/maas-cluster-controller.postinst
    - Allow maas-pserv to bind to all IPv6 addresses too. (LP: #1342302) 

  [ Diogo Matsubara ]
   * debian/control:
    - python-maas-provisioningserver depends on python-paramiko (LP: #1334401)

  [ Raphaël Badin ]
   * debian/extras/99-maas-sudoers:
    - Add rule 'maas-dhcp-server stop' job.

 -- Greg Lutostanski <gregory.lutostanski@canonical.com>  Fri, 29 Aug 2014 13:27:34 -0500

maas (1.5.2+bzr2282-0ubuntu0.2) trusty-proposed; urgency=medium

  * debian/control:
   - Add missing dependency in maas-cluster-controller for grub-common
     (LP: #1328231) 
   - Move dependency from maas-cluster-controller to maas-provisioningserver
     for python-seamicroclient (LP: #1332532) 

 -- Greg Lutostanski <gregory.lutostanski@canonical.com>  Fri, 20 Jun 2014 10:10:47 -0500

maas (1.5.2+bzr2282-0ubuntu0.1) trusty-proposed; urgency=medium

  * New upstream release:
    - Remove workaround for fixed Django bug 1311433 (LP: #1311433)
    - Ensure that validation errors are returned when adding a node over
      the API and its cluster controller is not contactable. (LP: #1305061)
    - Hardware enablement support for PowerKVM (LP: #1325038)
    - Shorten the time taken for a cluster to initially connect to the region
      via RPC to around 2 seconds (LP: #1317682)
    - Faster DHCP leases parser (LP: #1305102)
    - Documentation fixed explaining how to enable an ephemeral backdoor
      (LP: #1321696)
    - Use probe-and-enlist-hardware to enlist all virtual machine inside
      a libvirt machine, allow password qemu+ssh connections.
      (LP: #1315155, LP: #1315157)
    - Rename ppc64el boot loader to PowerKVM (LP: #1315154)
    - Fix NodeForm's is_valid() method so that it uses Django's way of setting
      errors on forms instead of putting text in self.errors['architecture']
      (LP: #1301465)
    - Change BootMethods to return their own IReader per-request, update method
      names to reflect new usage. (LP: #1315154)
    - Return early and stop the DHCP server when the list of managed interfaces
      of the nodegroup is empty. (LP: #1324944)
    - Fix invalid attribute references in the VirshSSH class. Added more test
      for the VirshSSH class. (LP: #1324966)
  * debian/control:
    - Add missing dependency in maas-cluster-controller for python-pexpect
      (LP: #1322151)

 -- Greg Lutostanski <gregory.lutostanski@canonical.com>  Wed, 04 Jun 2014 14:31:41 -0500

maas (1.5.1+bzr2269-0ubuntu0.1) trusty; urgency=medium

  * Stable Release Update (LP: #1317601):
    - Hardware Enablement for Cisco B-Series. (LP: #1300476)
    - Allow AMT power type to specify IP Address. (LP: #1308772)
    - Spurious failure when starting and creating lock files. (LP: 1308069)
    - Fix usage of hardware enablement kernels by fixing the preseeds
      (LP: #1310082, LP: #1310076, LP: #1310082)
    - Fix parallel juju deployments. (LP: #1314409)
    - Clear distro_series when stopping node from WebUI (LP: #1316396)
    - Fix click hijacking (LP: #1298784)
    - Fix blocking API client when deleting a resource (LP: #1313556)
    - Do not import Trusty RC images by default (LP: #1311151)
    - debian/control: Add missing dep on python-crochet for
      python-maas-provisioningserver (LP: #1311765)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 09 May 2014 22:35:43 -0500
