## maas 1.5.4+bzr2294

=== Makefile ===
--- 
+++ 
@@ -164,7 +164,7 @@
 doc: bin/sphinx docs/api.rst
 	bin/sphinx
 
-doc-with-versions: bin/sphinx
+doc-with-versions: bin/sphinx docs/api.rst
 	cd docs/_build; make SPHINXOPTS="-A add_version_switcher=true" html
 
 man: $(patsubst docs/man/%.rst,man/%,$(wildcard docs/man/*.rst))
@@ -344,8 +344,8 @@
 # has a bug and always considers apt-source tarballs before the specified
 # branch.  So instead, export to a local tarball which is always found.
 # Make sure debhelper and dh-apport packages are installed before using this.
-PACKAGING := $(CURDIR)/../packaging.trunk
-PACKAGING_BRANCH := lp:~maas-maintainers/maas/packaging
+PACKAGING := $(CURDIR)/../packaging.trusty
+PACKAGING_BRANCH := lp:~maas-maintainers/maas/packaging.trusty
 
 package_branch:
 	@echo Downloading/refreshing packaging branch...
@@ -363,11 +363,11 @@
 	@bzr export --root=maas-$(VER).orig ../build-area/$(TARBALL) $(CURDIR)
 
 package: package_export
-	bzr bd --merge $(PACKAGING) -- -uc -us
+	bzr bd --merge $(PACKAGING) --result-dir=../build-area -- -uc -us
 	@echo Binary packages built, see parent directory.
 
 source_package: package_export
-	bzr bd --merge $(PACKAGING) -- -S -uc -us
+	bzr bd --merge $(PACKAGING) --result-dir=../build-area -- -S -uc -us
 	@echo Source package built, see parent directory.
 
 #
