=== debian/control ===
--- 
+++ 
@@ -87,6 +87,7 @@
 Architecture: all
 Depends: python-amqp,
          python-celery,
+         python-crochet,
          python-distro-info,
          python-formencode,
          python-jsonschema,
@@ -98,7 +99,10 @@
          python-oops-amqp,
          python-oops-datedir-repo,
          python-oops-twisted,
+         python-paramiko,
+         python-pexpect,
          python-pyparsing,
+         python-seamicroclient,
          python-simplestreams,
          python-tempita,
          python-twisted-core,
@@ -146,6 +150,7 @@
          bind9utils,
          distro-info,
          freeipmi-tools,
+         grub-common,
          maas-cli (=${binary:Version}),
          maas-common (=${binary:Version}),
          maas-dhcp (=${binary:Version}),
@@ -156,7 +161,6 @@
          python-maas-provisioningserver (=${binary:Version}),
          python-netaddr,
          python-oauth,
-         python-seamicroclient,
          python-tempita,
          python-twisted,
          python-zope.interface,
