=== debian/rules ===
#!/usr/bin/make -f

BUILDHOME = $(CURDIR)/debian/build
PYTHON = $(shell pyversions -d)
# Python enum modules.
py_enums := $(wildcard src/*/enum.py)

%:
	dh $@ --with python2,apport --buildsystem=python_distutils

override_dh_installinit:
	dh_installinit --name maas-txlongpoll --no-start
	dh_installinit --name maas-region-celery --no-start
	dh_installinit --name maas-pserv
	dh_installinit --name maas-cluster-celery
	dh_installinit --name maas-dhcp-server

override_dh_auto_build:
	dh_auto_build

	mkdir -p $(BUILDHOME)
	HOME=$(BUILDHOME) PYTHONPATH=$(CURDIR)/src/ $(PYTHON)	\
		$(CURDIR)/src/maasserver/utils/jsenums.py	\
		$(py_enums) > $(BUILDHOME)/enums.js

override_dh_auto_install:
	dh_auto_install

	# Move static files
	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas/web/static
	mv $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/maasserver/static \
                $(CURDIR)/debian/tmp/usr/share/maas/web/

	# Install built enums.js file.
	cp $(BUILDHOME)/enums.js $(CURDIR)/debian/tmp/usr/share/maas/web/static/js/

	# install the apparmor profile
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apparmor.d/dhcpd.d
	install -m 644 $(CURDIR)/debian/maas-dhcp.apparmor \
	    $(CURDIR)/debian/tmp/etc/apparmor.d/dhcpd.d/maas

	dh_install --list-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDHOME)
	rm -rf src/*.egg-info

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	bzr export -r $(REV) --root=maas-$(VER).orig \
             maas_$(VER).orig.tar.gz lp:maas/1.5
