## maas 1.7.0~beta8+bzr3272

=== debian/changelog ===
maas (1.7.0~beta8+bzr3272-0ubuntu1) utopic; urgency=medium

  * New Upstream Release, Beta 8 bzr 3272.
    - Maintain backward compatibility with status codes to not break
      client MAAS API users.  (LP: #1383609)
    - Allow users to disable DHCP NIC scanning during commissioning otherwise
      this can lead machines not being able to commission (LP: #1383384)
    - Ensure that MAAS can correctly download, and install HWE Kernels, and 
      not crash in the process. (LP: #1357532, LP: #1382281)
    - Add a lock to ensure we don't give the same 2 systems to two different
      users when acquiring a machine. (LP: #1382575)

  [ Michael McCracken ]
  * debian/maas-dns.postrm: ensure named.conf is cleaned of maas
    includes (LP: #1346538)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 22 Oct 2014 12:55:08 -0400

maas (1.7.0~beta7+bzr3266-0ubuntu1) utopic; urgency=medium

  * New Upstream Snapshot, Beta 7 bzr3266

  [ Jeroen Vermeulen ]
  * debian/extras/99-maas-sudoers
    debian/maas-dhcp.postinst
    debian/rules
    - Add second DHCP server instance for IPv6.
  * debian/maas-region-controller-min.install
    debian/maas-region-controller-min.lintian-overrides
    - Install deployment user-data: maas_configure_interfaces.py script.
  * debian/maas-cluster-controller.links
    debian/maas-cluster-controller.install
    debian/maas-cluster-controller.postinst
    - Reflect Celery removal changes made in trunk r3067.
    - Don't install celeryconfig_cluster.py any longer. 
    - Don't install maas_local_celeryconfig_cluster.py any longer.
    - Don't symlink maas_local_celeryconfig_cluster.py from /etc to /usr.
    - Don't insert UUID into maas_local_celeryconfig_cluster.py.

  [ Andres Rodriguez ]
  * debian/maas-region-controller-min.postrm: Cleanup lefover files.
  * debian/maas-dhcp.postrm: Clean leftover configs.
  * Provide new maas-proxy package that replaces the usage of
    squid-deb-proxy:
    - debian/control: New maas-proxy package that replaces the usage
      of squid-deb-proxy; Drop depends on squid-deb-proxy.
    - Add upstrart job.
    - Ensure squid3 is stopped as maas-proxy uses a caching proxy.
  * Remove Celery references to cluster controller:
    - Rename upstart job from maas-pserv to maas-cluster; rename
      maas-cluster-celery to maas-cluster-register. Ensure services
      are stopped on upgrade.
    - debian/maintscript: Cleanup config files.
    - Remove all references to the MAAS celery daemon and config
      files as we don't use it like that anymore
  * Move some entries in debian/maintscript to
    debian/maas-cluster-controller.maintscript
  * Remove usage of txlongpoll and rabbitmq-server. Handle upgrades
    to ensure these are removed correctly.

  [ Jason Hobbs ]
  * debian/maas-region-controller-min.install: Install
    maas-generate-winrm-cert script.

  [ Raphaël Badin ]
  * debian/extras/maas-region-admin: Bypass django-admin as it prints
    spurious messages to stdout (LP: #1365130).

  [Louis Bouchard]
  * debian/maas-cluster-controller.postinst:
    - Exclude /var/log/maas/rsyslog when changing ownership
      (LP: #1346703)

  [Gavin Panella]
  * debian/maas-cluster-controller.maas-clusterd.upstart:
    - Don't start-up the cluster controller unless a shared-secret has
      been installed.
  * debian/maas-cluster-controller.maas-cluster-register.upstart: Drop.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 21 Aug 2014 19:36:30 -0400

maas (1.7.0~beta1+bzr2781-0ubuntu1) utopic; urgency=medium

  * New upstream release, 1.7.0 Beta 1

  [Diogo Matsubara]
  * debian/control:
    - maas-cluster-controller depends on syslinux-dev | 
      syslinux-common (LP: #1328659)
    - python-maas-provisioningserver depends on
      python-paramiko (LP: #1334401)

  [Jeroen Vermeulen]
  * debian/extras/99-maas-sudoers:
    - Let maas user import, including sudo tgt-admin and sudo uec2roottar.
  * debian/maas-cluster-controller.install:
    - Stop installing obsolete file bootresources.yaml.

  [ Raphaël Badin ]
  * debian/control:
    - maas-cluster-controller depends on python-pexpect
  * debian/extras/99-maas-sudoers:
    - Add rule 'maas-dhcp-server stop' job.

  [ Greg Lutostanski ]
  * debian/control:
    - maas-cluster-controller depends on grub-common
    - maas-provisioningserver not maas-cluster-controller depends on
      python-pexpect (LP: #1352273)
    - maas-provisioningserver not maas-cluster-controller depends on
      python-seamicroclient (LP: #1332532)

  [ Gavin Panella ]
  * debian/maas-cluster-controller.postinst
    - Allow maas-pserv to bind to all IPv6 addresses too.

  [ Julian Edwards ]
  * debian/maas-region-controller-min.apport
    debian/maas-region-controller-min.logrotate
    debian/maas-region-controller-min.postinst
    debian/maas-region-controller.postinst
    - Change the log file name maas.log to maas-django.log
  * debian/maas-cluster-controller.postinst
    debian/maas-common.install
    debian/maas-region-controller-min.postinst
    debian/maas-region-controller.postinst
    - Install /var/log/maas/maas.log as a syslog file.
    - Ensure logging is set up for upgrades 

  [ Graham Binns ]
  * debian/maas-region-controller.postinst:
    - Add symlinks for squid3, squid-deb-proxy and apache log directories to
      /var/log/maas.

  [ Andres Rodriguez ]
  * debian/maas-region-controller.postinst: Force symlink creation
    for external logs.
  * debian/maas-region-controller.postinst: Do not change celery's
    rabbitmq password on upgrade that to not lock remote
    Cluster Controllers if upgrading from 1.5+. (LP: #1300507)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 21 Aug 2014 14:05:40 -0400
