=== debian/control ===
--- 
+++ 
@@ -52,7 +52,6 @@
          libjs-yui3-full,
          libjs-yui3-min,
          maas-common (= ${binary:Version}),
-         pwgen,
          python-django (>= 1.4),
          python-django-maas (= ${binary:Version}),
          python-django-piston,
@@ -60,7 +59,7 @@
          python-maas-provisioningserver (= ${binary:Version}),
          python-djorm-ext-pgarray,
          rsyslog,
-         squid-deb-proxy,
+         maas-proxy,
          ${misc:Depends},
          ${python:Depends}
 Breaks: maas-region-controller ( <= 1.4+bzr1693+dfsg-0ubuntu3 )
@@ -74,7 +73,6 @@
 Architecture: all
 Depends: maas-region-controller-min (= ${binary:Version}),
          postgresql (>= 9.1),
-         rabbitmq-server,
          ${misc:Depends},
          ${python:Depends}
 Recommends: openssh-server, maas-dns (= ${binary:Version})
@@ -85,8 +83,7 @@
 Package: python-maas-provisioningserver
 Section: python
 Architecture: all
-Depends: python-amqp,
-         python-celery,
+Depends: python-celery,
          python-crochet,
          python-distro-info,
          python-formencode,
@@ -96,7 +93,6 @@
          python-maas-client,
          python-netifaces,
          python-oops,
-         python-oops-amqp,
          python-oops-datedir-repo,
          python-oops-twisted,
          python-paramiko,
@@ -115,7 +111,6 @@
          ${python:Depends}
 Breaks: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3), maas-dhcp (<= 1.4+bzr1817+dfsg-0ubuntu1)
 Replaces: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3), maas-dhcp (<= 1.4+bzr1817+dfsg-0ubuntu1)
-Conflicts: python-librabbitmq
 Description: MAAS server provisioning libraries
  This package provides the MAAS provisioning server python libraries.
 
@@ -154,8 +149,6 @@
          maas-cli (=${binary:Version}),
          maas-common (=${binary:Version}),
          maas-dhcp (=${binary:Version}),
-         python-amqp,
-         python-celery,
          python-httplib2,
          python-lockfile,
          python-maas-provisioningserver (=${binary:Version}),
@@ -165,6 +158,7 @@
          python-twisted,
          python-zope.interface,
          rsyslog,
+         syslinux-dev | syslinux-common (<< 3:6.00~pre4+dfsg-5),
          syslinux-common,
          tgt,
          ubuntu-cloudimage-keyring,
@@ -173,7 +167,7 @@
          ${misc:Depends},
          ${python:Depends}
 Suggests: ipmitool, libvirt-bin, amtterm
-Conflicts: tftpd-hpa, python-librabbitmq
+Conflicts: tftpd-hpa
 Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
 Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
 Description: MAAS server cluster controller
@@ -194,7 +188,6 @@
          python-maas-client (= ${binary:Version}),
          python-netaddr,
          python-oops,
-         python-oops-amqp,
          python-oops-datedir-repo,
          python-oops-twisted,
          python-oops-wsgi,
@@ -203,11 +196,9 @@
          python-tempita,
          python-twisted,
          python-txamqp,
-         python-txlongpoll,
          python-zope.interface,
          ${misc:Depends},
          ${python:Depends}
-Conflicts: python-librabbitmq
 Description: MAAS server Django web framework
  This package provides the Django web framework for MAAS.
 
@@ -232,3 +223,14 @@
 Description: MAAS DNS server
  This package installs and configures a DNS server that can be used by
  MAAS, and enhances the overall MAAS user experience.
+
+Package: maas-proxy
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         squid3
+Conflicts: squid-deb-proxy
+Replaces: squid-deb-proxy
+Description: MAAS Caching Proxy
+ This package installs and configures a Caching Proxy server that can be
+ used by MAAS. It enhances the overall MAAS user experience.
